#!/usr/bin/perl

use strict;
use warnings;

use RT::Test tests => 4;

RT->Config->Set( RTAddressRegexp => qr/^rt\@example.com$/i );


ok(require RT::EmailParser);

is(RT::EmailParser::IsRTAddress("","rt\@example.com"),1, "Regexp matched rt address" );
is(RT::EmailParser::IsRTAddress("","frt\@example.com"),undef, "Regexp didn't match non-rt address" );

my @before = ("rt\@example.com", "frt\@example.com");
my @after = ("frt\@example.com");
ok(eq_array(RT::EmailParser::CullRTAddresses("",@before),@after), "CullRTAddresses only culls RT addresses");

1;
